#!/usr/bin/perl -w

package Source::Repository::Mass::Transform;

use strict;
use warnings;
use Source::Repository::Mass;
use RPM::Source::Transform 0.011;
our @ISA = qw(Source::Repository::Mass);

# common option for both Transform:: submodules
our $suppress_rename;

our $DEFAULT_OUTDIR="./OUT";

#    push @Source::Repository::Mass::EXT_OPTS, 
#	"parent=s"	=> \$parent,
#    ;

sub usage {
    my $self=shift;
    push @Source::Repository::Mass::EXT_OPTS_USAGE,
	\&RPM::Source::Transform::longopt_usage;
    foreach my $usage (@RPM::Source::Transform::EXT_OPTS_USAGE) {
	push @Source::Repository::Mass::EXT_OPTS_USAGE, $usage 
	    if not grep {$_ eq $usage} @Source::Repository::Mass::EXT_OPTS_USAGE;
    }
    $self->SUPER::usage();
}

sub __transaction_output_subdir {
    my ($transaction_name,$transaction_count)=@_;
    return "$transaction_name.transaction/".('0' x (5-length($transaction_count))).$transaction_count;
}

1;
